Package weka.core

# Enum Class RevisionUtils.Type

java.lang.Object
java.lang.Enum<RevisionUtils.Type>
weka.core.RevisionUtils.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<RevisionUtils.Type>`, `Constable`

Enclosing class:
  RevisionUtils

public static enum RevisionUtils.Type extends Enum<RevisionUtils.Type>
Enumeration of source control types.

Version:
  $Revision: 8034 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CVS`
  CVS.
  `SUBVERSION`
  Subversion.
  `UNKNOWN`
  unknown source control revision.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RevisionUtils.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RevisionUtils.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNKNOWN

    public static final RevisionUtils.Type UNKNOWN
    unknown source control revision.

  - ### CVS

    public static final RevisionUtils.Type CVS
    CVS.

  - ### SUBVERSION

    public static final RevisionUtils.Type SUBVERSION
    Subversion.

- ## Method Details

  - ### values

    public static RevisionUtils.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RevisionUtils.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null